Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 203993 - Find Usages for project files shows "incorrect" results
Find Usages for project files shows "incorrect" results
Status: RESOLVED FIXED
Product: php
Classification: Unclassified
Component: Refactoring
7.1
All All
: P3 (vote)
: 8.0
Assigned To: Ondrej Brejla
issues@php
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-20 08:45 UTC by Tomas Mysik
Modified: 2014-01-30 03:05 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tomas Mysik 2011-10-20 08:45:50 UTC
Find Usages for project files (classes, methods, fields, ...) shows "incorrect" results:
1. the project is the last item in the list, files from Include Path are the first ones (the order should be reversed)
2. usages from Include path are typically incorrect since Include Path is a library and so, there hardly can be usages in library for project files...
3. the icons for folders are incorrect (icon for Java packages shown)

Thanks.

Product Version: NetBeans IDE Dev (Build 20111014-bfe2f49b93ff)
Java: 1.6.0_24; Java HotSpot(TM) 64-Bit Server VM 19.1-b02
System: Linux version 2.6.38-11-generic running on amd64; UTF-8; cs_CZ (nb)
Comment 1 Petr Pisl 2011-10-21 11:32:02 UTC
After the discussion with Tomas, it looks like the "folder" icons represents namespaces. 

I'm going to fix the order first.
Comment 2 Petr Pisl 2011-10-21 11:54:38 UTC
When I have look at the ordering, I can not influence it. It looks like that the refactoring infrastructure orders the items alphabetically and I can not influence it from the clients side.
Comment 3 Ondrej Brejla 2012-04-06 08:54:53 UTC
Tomasi, please, can you review if all problems are still valid? When you have a time of course ;) Thanks.
Comment 4 Tomas Mysik 2012-04-06 08:59:40 UTC
(In reply to comment #0)
> 1. the project is the last item in the list, files from Include Path are the
> first ones (the order should be reversed)

Not true anymore.

> 2. usages from Include path are typically incorrect since Include Path is a
> library and so, there hardly can be usages in library for project files...

Still valid.

> 3. the icons for folders are incorrect (icon for Java packages shown)

Still valid.

Thanks.
Comment 5 Ondrej Brejla 2012-05-29 14:29:24 UTC
> > 3. the icons for folders are incorrect (icon for Java packages shown)
> 
> Still valid.
> 
> Thanks.

There is no folder node in 7.2dev Logical View. So just:

> 2. usages from Include path are typically incorrect since Include Path is a
> library and so, there hardly can be usages in library for project files...

Still valid.
Comment 6 Ondrej Brejla 2014-01-29 13:56:55 UTC
Fixed in web-main #83c924fcd4b5
Comment 7 Quality Engineering 2014-01-30 03:05:32 UTC
Integrated into 'main-silver', will be available in build *201401300001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/83c924fcd4b5
User: Ondrej Brejla <obrejla@netbeans.org>
Log: #203993 - Find Usages for project files shows "incorrect" results

2. do not show element usages from include path and do not allow user to refactor it


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo